toolzerhub API Docs

Get an event's text commentary (v1)

Returns play-by-play commentary, newest first, with text, type, period and player. An event without commentary returns data: null.

1 credit / requestBilled only on success
GET
/v1/sofascore/event/commentary

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

id*integer

Event id: the id of any event in a list, such as Get Sports Live Events.

Range1 <= value <= 10000000000
language?string

Two-letter language code, such as en.

Match^[a-z]{2}$
Default"en"
curl -X GET "https://example.com/v1/sofascore/event/commentary?id=16363652" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "property1": null,    "property2": null  },  "details": {    "reason": "string",    "message": "string"  }}